function [mapI, vmapI, mapO, vmapO] = BuildBCMaps()

% create boundary maps

Globals2D;

dotproducts = u_0 * n_x(mapB) + v_0 * n_y(mapB);
mapI_ind = find(dotproducts < -NODETOL); % pro jistotu, protoze Matlab vyhodnocuje, ze -0 < 0
mapI = mapB(mapI_ind);
vmapI = vmapM(mapI);
mapO = setdiff(mapB,mapI);
vmapO = vmapM(mapO);

end